## List of possible SMS message statuses

| Status  | Final | Description                                                                                                                                                                                                                                                                                         |
| ------- | ----- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| NEW     | no    | New message, not yet sent                                                                                                                                                                                                                                                                           |
| ENQUEUD | no    | Passed the moderation and queued for sending                                                                                                                                                                                                                                                        |
| ACCEPTD | no    | Sent from the system and accepted by the operator for further sending to the recipient                                                                                                                                                                                                              |
| UNDELIV | yes   | Not delivered to the recipient                                                                                                                                                                                                                                                                      |
| REJECTD | yes   | Declined by the operator on one of a variety of reasons - the wrong recipient's number, forbidden text, etc.                                                                                                                                                                                        |
| PDLIVRD | no    | Not all message segments were delivered to the recipient (this status applies to messages only, but not to segments). Some operators return a delivery report only for the first segment of long message, that's why status of such messages will be changed to DELIVRD after the expiration period |
| DELIVRD | yes   | Delivered to the recipient in full                                                                                                                                                                                                                                                                  |
| EXPIRED | yes   | Delivery failed because the message has expired (3 days by default)                                                                                                                                                                                                                                 |
| DELETED | yes   | Deleted due to restrictions and not delivered to the recipient                                                                                                                                                                                                                                      |

## API response codes

| Code | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                                    |
| ---- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 0    | integer | The operation completed successfully.                                                                                                                                                                                                                                                                                                                                                                          |
| 1    | integer | Transmitted data validation error while creating or updating of any entity. The data field provides information on the fields incorrectly filled. Please correct mistakes and repeat the request with a new data.                                                                                                                                                                                              |
| 2    | integer | Requested entry was not found. It is likely to be deleted, the entry ID is incorrect or the user trying to access the entry does not have the appropriate access rights to it.                                                                                                                                                                                                                                 |
| 3    | integer | Unidentified application error occurred. Please contact the support team and let us know the details of the request for which it was received.                                                                                                                                                                                                                                                                 |
| 4    | integer | Parameter "module" is incorrect. Please check the spelling accuracy in the API documentation.                                                                                                                                                                                                                                                                                                                  |
| 5    | integer | Parameter "method" is incorrect. Please check the spelling accuracy in the API documentation.                                                                                                                                                                                                                                                                                                                  |
| 6    | integer | Parameter "format" is incorrect. Please check the spelling accuracy in the API documentation.                                                                                                                                                                                                                                                                                                                  |
| 8    | integer | Login failed. Error occurs if: 1. Login details are incorrect. 2. When a user session has expired during the system operation or was forcibly closed by the server. For the detailed information see "message" field.                                                                                                                                                                                          |
| 9    | integer | Required method access error.                                                                                                                                                                                                                                                                                                                                                                                  |
| 10   | integer | Server saving data error directly during this operation. Usually this error is related to simultaneous data access from several clients or changes in the conditions for data saving in the process of saving.                                                                                                                                                                                                 |
| 11   | integer | Some of the required parameters are missing in the request. Please check the spelling accuracy in the API documentation and add the required parameters to your request.                                                                                                                                                                                                                                       |
| 12   | integer | The input parameter of the request does not comply with the specified conditions or restrictions. This error code occurs when a parameter violates restrictions when executing a request with parameters. It looks like an attribute validation error but can be received in requests not aimed at creation or modification of data.                                                                           |
| 13   | integer | An attempt to request the API-server that does not serve this user. Should you receive this code, look for the correct domain in the "data" field.                                                                                                                                                                                                                                                             |
| 14   | integer | This error occurs if the user account was blocked or removed.                                                                                                                                                                                                                                                                                                                                                  |
| 15   | integer | Error occurred while performing of any operation not related to updating of data. Details of this error are listed in the "message" field of the API response.                                                                                                                                                                                                                                                 |
| 30   | integer | Excess of permissible operations limit error within a specific time interval. This error occurs due to excessively frequent requests to the same API method. In case it occurs, reduce the frequency of requests.                                                                                                                                                                                              |
| 98   | integer | The operation was not performed in full, but with part of the data. Usually, you get this code for any bulk operations, during the execution of which some elements were not processed due to errors or restrictions, but others were processed. Upon receipt of this code, you can check the information on processed and non-processed elements and look for the errors in the contents of the "data" field. |
| 99   | integer | None of the bulk operation elements was not processed. For the detailed information on errors in each specific element check the "data" field, for the general description of the error - the "message" field.                                                                                                                                                                                                 |
| 100  | integer | This code is not an error and means that the operation is executed as a background process. In this case "data" field contains the background process ID, the state of which can be checked using method Taskqueue::GetStatus.                                                                                                                                                                                 |
| 999  | integer | General error. For details check the "message" field.                                                                                                                                                                                                                                                                                                                                                          |
